Dynamic map-hacks dependent on non-neighbor planes
2014-05-03 08:10 - danij

Status: Closed Start date: 2014-05-03
Priority: Normal % Done: 100%
Assignee: danij

Category: Defect

Target version: 1.14.2

Description

See report in the forums: http://dengine.net/forums/viewtopic.php?f=9&t=1765#topic

This particular map-hack construct is dynamically dependent on both the mapped neighbor plane and the plane in the "local” sector.
When the local plane moves the mapped plane must be evaluated again, possibly remapping it from the neighbor to the local sector
(or vice versa).

Associated revisions

Revision 4c5c18a4 - 2014-04-30 04:20 - danij

Fixed|World|SectorCluster: Dynamic map-hacks depending on non-neighbor planes

For example, the Red Key trap in Alien Vendetta MAP04 uses a map-hack
construct where the columns are dependent on the Planes from both the
column sector and the adjacent neighbors. Both planes must be observed
in order correctly resolve the "current" dependent plane when a move
occurs.

Also fixed a potential crash given a malformed BSP, where many nested

"selfreferencing" map-hacks might result in leafs being assigned to
the wrong Sector (which will confuse SectorClusterCirculator).

History

#1 - 2014-05-03 08:14 - danij
- Status changed from New to Feedback
- Target version set to 1.14.2

- % Done changed from 0 to 100

#2 - 2014-05-06 23:48 - danij
- Status changed from Feedback to Closed
